# pn_show – Run show commands on nvOS device

- DEPRECATED

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Doesn’t support latest Pluribus Networks netvisor

Alternative

  Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute show command in the nodes and returns the results read from the device.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - |  | Target switch(es) to run the cli on.
pn_cliusername - |  | Provide login username if user is not root.
pn_command - / required |  | The `pn_command` takes a CLI show command as value.
pn_options - |  | Specify formatting options.
pn_parameters - | Default: "all" | Display output using a specific parameter. Use 'all' to display possible output. List of comma separated parameters.

## Examples

    - name: run the vlan-show command
      pn_show:
        pn_command: 'vlan-show'
        pn_parameters: id,scope,ports
        pn_options: 'layout vertical'

    - name: run the vlag-show command
      pn_show:
        pn_command: 'vlag-show'
        pn_parameters: 'id,name,cluster,mode'
        pn_options: 'no-show-headers'

    - name: run the cluster-show command
      pn_show:
        pn_command: 'cluster-show'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always(False) | Indicates whether the CLI caused any change on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the show command.
stdout list | always | The set of responses from the show command.

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.